%global momorel 8

Name:           perl-Email-Date-Format
Version:        1.002
Release:        %{momorel}m%{?dist}
Summary:        Produce RFC 822 date strings
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Email-Date-Format/
Source0:		http://www.cpan.org/modules/by-module/Email/Email-Date-Format-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a simple means for generating an RFC 2822 compliant
datetime string.

%prep
%setup -q -n Email-Date-Format-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Email/Date/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.002-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.002-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.002-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.002-2m)
- rebuild against gcc43

* Tue Dec  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-1m)
- update to 1.002

* Sun Dec  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.001-1m)
- update to 1.001

* Sat Dec 01 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
